Full agreement lines for one wallet
curl --request GET \
--url https://api.range.org/v2/reconciliation/full-agreement/wallets/{accountId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/reconciliation/full-agreement/wallets/{accountId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/reconciliation/full-agreement/wallets/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.range.org/v2/reconciliation/full-agreement/wallets/{accountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.range.org/v2/reconciliation/full-agreement/wallets/{accountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.range.org/v2/reconciliation/full-agreement/wallets/{accountId}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.range.org/v2/reconciliation/full-agreement/wallets/{accountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"account_id": "<string>",
"client_entity_id": "<string>",
"client_name": "<string>",
"account_name": "<string>",
"custodian_name": "<string>",
"broken_asset_count": 123,
"custodian_provider": "dfns",
"connection_id": "<string>",
"network": "<string>",
"address": "<string>",
"ledger_account_id": "<string>",
"books": {
"account_id": "<string>",
"external_id": "<string>",
"books_through": "<string>",
"latest_import": {
"import_id": "<string>",
"file_sha256": "<string>",
"created_at": "<string>"
}
},
"status": "tied",
"lines": [
{
"id": "<string>",
"run_id": "<string>",
"superseded_line_id": "<string>",
"asset": {
"network": "ethereum",
"token_address": "native",
"symbol": "USDC"
},
"custody": {
"status": "tied",
"cause": "missing_on_chain"
},
"books": {
"status": "tied",
"cause": "missing_on_chain"
},
"status": "tied",
"cause": "missing_on_chain",
"symbol_only": true,
"unverified_by_custodian": true,
"amounts": {
"custodian": {
"opening": "<string>",
"inflows": "<string>",
"outflows": "<string>",
"fees": "<string>",
"close": "<string>",
"adds_up": true
},
"chain": {
"opening": "<string>",
"inflows": "<string>",
"outflows": "<string>",
"fees": "<string>",
"close": "<string>",
"adds_up": true
},
"ledger": {
"opening": "<string>",
"inflows": "<string>",
"outflows": "<string>",
"fees": "<string>",
"close": "<string>",
"adds_up": true
}
},
"evidence": {
"chain": {
"opening_block": "<string>",
"closing_block": "<string>"
},
"custodian": {
"opening_read_at": "<string>",
"opening_walkback": "<string>",
"closing_read_at": "<string>",
"closing_walkback": "<string>"
},
"ledger": {
"import_id": "<string>",
"file_sha256": "<string>"
},
"custodian_unverified": {
"provider": "dfns",
"token_address": "SLNDpmoWTVADgEdndyvWzroNL7zSi1dF9PC3xHGtPwp",
"chain_close": "<string>",
"ledger_close": "<string>"
},
"books": {
"books_through": "<string>",
"custodian_close": "computed",
"custodian_close_quantity": "<string>"
}
},
"books_as_of": "<string>",
"pending_reason": "backfill pending",
"declared_gap": {
"tape": "custodian",
"reason": "custodian_walkback_negative"
},
"custodian_figures": {
"opening": "captured",
"close": "captured",
"walked_back_from": "2026-10-14T10:30:05.000Z",
"declared_gap_reason": "custodian_walkback_negative"
},
"disposition": {
"case_id": "<string>",
"resolution": "<string>"
},
"changed_after_sign_off": true,
"differing_tapes": [
"ledger"
]
}
],
"month": "2026-09",
"final": true,
"as_of": "2023-11-07T05:31:56Z",
"sign_off": {
"name": "<string>",
"role": "<string>",
"user": "<string>",
"signed_at": "2023-11-07T05:31:56Z"
},
"pending_reason": "backfill pending"
}Reconciliation
Full agreement lines for one wallet
The same current lines as the month read, for one enrolled wallet.
GET
/
v2
/
reconciliation
/
full-agreement
/
wallets
/
{accountId}
Full agreement lines for one wallet
curl --request GET \
--url https://api.range.org/v2/reconciliation/full-agreement/wallets/{accountId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/reconciliation/full-agreement/wallets/{accountId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/reconciliation/full-agreement/wallets/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.range.org/v2/reconciliation/full-agreement/wallets/{accountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.range.org/v2/reconciliation/full-agreement/wallets/{accountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.range.org/v2/reconciliation/full-agreement/wallets/{accountId}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.range.org/v2/reconciliation/full-agreement/wallets/{accountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"account_id": "<string>",
"client_entity_id": "<string>",
"client_name": "<string>",
"account_name": "<string>",
"custodian_name": "<string>",
"broken_asset_count": 123,
"custodian_provider": "dfns",
"connection_id": "<string>",
"network": "<string>",
"address": "<string>",
"ledger_account_id": "<string>",
"books": {
"account_id": "<string>",
"external_id": "<string>",
"books_through": "<string>",
"latest_import": {
"import_id": "<string>",
"file_sha256": "<string>",
"created_at": "<string>"
}
},
"status": "tied",
"lines": [
{
"id": "<string>",
"run_id": "<string>",
"superseded_line_id": "<string>",
"asset": {
"network": "ethereum",
"token_address": "native",
"symbol": "USDC"
},
"custody": {
"status": "tied",
"cause": "missing_on_chain"
},
"books": {
"status": "tied",
"cause": "missing_on_chain"
},
"status": "tied",
"cause": "missing_on_chain",
"symbol_only": true,
"unverified_by_custodian": true,
"amounts": {
"custodian": {
"opening": "<string>",
"inflows": "<string>",
"outflows": "<string>",
"fees": "<string>",
"close": "<string>",
"adds_up": true
},
"chain": {
"opening": "<string>",
"inflows": "<string>",
"outflows": "<string>",
"fees": "<string>",
"close": "<string>",
"adds_up": true
},
"ledger": {
"opening": "<string>",
"inflows": "<string>",
"outflows": "<string>",
"fees": "<string>",
"close": "<string>",
"adds_up": true
}
},
"evidence": {
"chain": {
"opening_block": "<string>",
"closing_block": "<string>"
},
"custodian": {
"opening_read_at": "<string>",
"opening_walkback": "<string>",
"closing_read_at": "<string>",
"closing_walkback": "<string>"
},
"ledger": {
"import_id": "<string>",
"file_sha256": "<string>"
},
"custodian_unverified": {
"provider": "dfns",
"token_address": "SLNDpmoWTVADgEdndyvWzroNL7zSi1dF9PC3xHGtPwp",
"chain_close": "<string>",
"ledger_close": "<string>"
},
"books": {
"books_through": "<string>",
"custodian_close": "computed",
"custodian_close_quantity": "<string>"
}
},
"books_as_of": "<string>",
"pending_reason": "backfill pending",
"declared_gap": {
"tape": "custodian",
"reason": "custodian_walkback_negative"
},
"custodian_figures": {
"opening": "captured",
"close": "captured",
"walked_back_from": "2026-10-14T10:30:05.000Z",
"declared_gap_reason": "custodian_walkback_negative"
},
"disposition": {
"case_id": "<string>",
"resolution": "<string>"
},
"changed_after_sign_off": true,
"differing_tapes": [
"ledger"
]
}
],
"month": "2026-09",
"final": true,
"as_of": "2023-11-07T05:31:56Z",
"sign_off": {
"name": "<string>",
"role": "<string>",
"user": "<string>",
"signed_at": "2023-11-07T05:31:56Z"
},
"pending_reason": "backfill pending"
}Authorizations
AuthorizationAuthorization
Authorization method required to allow user to access the api endpoints.
Path Parameters
Query Parameters
Example:
"2026-09"
Response
200 - application/json
Example:
"dfns"
Show child attributes
Show child attributes
Available options:
tied, break, unreconcilable, pending, explained Show child attributes
Show child attributes
Example:
"2026-09"
Show child attributes
Show child attributes
Available options:
backfill pending, chain pull failed, ledger not paired, asset catalog unavailable, no run, awaiting client books Was this page helpful?